> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Team Credit Allocation

> Deletes the credit allocation for a team.

`Unary` · [`Billing`](/docs/api-reference/generated/billing/overview)

Deletes the credit allocation for a team.

### Examples

* Delete a team's allocation:

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  teamId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

### Authorization

Requires `billing:delete` permission on the organization.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.BillingService/DeleteTeamCreditAllocation
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.BillingService/DeleteTeamCreditAllocation" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>",
    "teamId": "<team-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.billing_pb2 as billing_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = billing_pb2.DeleteTeamCreditAllocationRequest(
      organization_id="<organization-id>",
      team_id="<team-id>",
  )
  response = ona.services.billing.delete_team_credit_allocation(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { DeleteTeamCreditAllocationRequestSchema } from "@gitpod/sdk/gitpod/v1/billing_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(DeleteTeamCreditAllocationRequestSchema, {
      organizationId: "<organization-id>",
      teamId: "<team-id>",
    });
    const response = await ona.services.billing.deleteTeamCreditAllocation(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.DeleteTeamCreditAllocationRequest{
  		OrganizationId: "<organization-id>",
  		TeamId: "<team-id>",
  	})
  	response, err := ona.Services.Billing.DeleteTeamCreditAllocation(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>",
    "teamId": "<team-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.DeleteTeamCreditAllocationRequest`

| Field            | Type   | Required | Description                                     |
| ---------------- | ------ | -------- | ----------------------------------------------- |
| `organizationId` | string | Yes      | Constraints: `required=true, string.uuid=true`. |
| `teamId`         | string | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.DeleteTeamCreditAllocationResponse`

This message has no fields.
